Bug 734270 - Reinstate publican/po push '--import-po' option
Summary: Reinstate publican/po push '--import-po' option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: zanata-python-client
Version: el6
Hardware: All
OS: All
urgent
urgent
Target Milestone: ---
Assignee: James Ni
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-30 00:16 UTC by Sean Flanigan
Modified: 2011-10-09 06:55 UTC (History)
3 users (show)

Fixed In Version: zanata-python-client-1.3.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-16 01:59:33 UTC


Attachments (Terms of Use)

Description Sean Flanigan 2011-08-30 00:16:46 UTC
Description of problem:
The commands 'publican push' and 'po push' used to have the option '--import-po' in zanata-python-client-1.2.  This option has been renamed '--push-trans' for the *new* command 'push', but we need to keep the old option in the *old* commands, for backwards compatibility.

Version-Release number of selected component (if applicable):
zanata-python-client.noarch 0:1.3.0-1.el6

How reproducible:
100%

Steps to Reproduce:
1. zanata publican push --import-po
2. zanata po push --import-po
  
Actual results:
Pushes current project to Zanata, including PO files.

Expected results:
"option --import-po not recognized"

Additional info:

Comment 1 Sean Flanigan 2011-08-30 00:49:54 UTC
Gaah!  Why doesn't the bugzilla template have Expected before Actual?


Expected results:
Pushes current project to Zanata, including PO files.

Actual results:
"option --import-po not recognized"

Comment 2 James Ni 2011-08-30 07:18:17 UTC
I have fixed this issue in upstream in commit de8c488c6114abcf7b59, i will build a new package to include this fix soon. Version for new release should be 1.3.1.

Comment 3 Fedora Update System 2011-08-31 09:13:59 UTC
zanata-python-client-1.3.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.1-1.fc15

Comment 4 Fedora Update System 2011-08-31 09:14:09 UTC
zanata-python-client-1.3.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.1-1.el5

Comment 5 Fedora Update System 2011-08-31 09:14:21 UTC
zanata-python-client-1.3.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.1-1.el6

Comment 6 Fedora Update System 2011-08-31 09:14:30 UTC
zanata-python-client-1.3.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.1-1.fc14

Comment 7 Fedora Update System 2011-08-31 22:54:51 UTC
Package zanata-python-client-1.3.1-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing zanata-python-client-1.3.1-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.1-1.el6
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-09-16 01:59:27 UTC
zanata-python-client-1.3.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-10-08 22:27:01 UTC
zanata-python-client-1.3.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-10-08 22:27:09 UTC
zanata-python-client-1.3.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-10-09 06:55:44 UTC
zanata-python-client-1.3.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.